import { formatEther, hexToBigInt, numberToHex, parseEther } from 'viem';
export const isAddress = (address) => {
    return isAddress(address);
};
export const weiHexToEth = (wei) => {
    const weiBigInt = hexToBigInt(wei);
    return formatEther(weiBigInt);
};
export const weiToEth = (wei) => {
    if (!wei)
        return wei;
    const weiBigInt = BigInt(parseInt(wei));
    return formatEther(weiBigInt);
};
export const ethToWeiBigInt = (eth) => {
    if (typeof eth !== 'string' && typeof eth !== 'number') {
        throw new Error('eth must be a string or number value');
    }
    const ethString = typeof eth === 'number' ? eth.toString() : eth;
    return parseEther(ethString);
};
export const bigIntToHex = (value) => {
    return numberToHex(value);
};
